| Home | Libraries | People | FAQ | More

## Class template has_const_time_erase

boost::algorithm::has_const_time_erase — Const time erase trait.

## Synopsis

    template<typename T>
    class has_const_time_erase {
    public:
      // types
      typedef mpl::bool_< has_const_time_erase< T >::value > type;

      static const  bool value;
    };

## Description

This trait specifies that the sequence's erase method has constant time complexity.

| Copyright © 2002-2004 Pavol Droba